<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
    <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
  </PropertyGroup>

  <ItemGroup>
    <AvaloniaResource Include="Assets\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Avalonia" Version="11.3.7" />
    <PackageReference Include="Avalonia.Themes.Fluent" Version="11.3.7" />
    <PackageReference Include="Avalonia.Fonts.Inter" Version="11.3.7" />
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.0" />

    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.3.7" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="9.0.9" />
    <PackageReference Include="Semi.Avalonia" Version="11.3.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Harmonia.Core\Harmonia.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Views\PlaylistView.axaml.cs">
      <DependentUpon>PlaylistView.axaml</DependentUpon>
    </Compile>
    <Compile Update="Views\PlayingSongInfo.axaml.cs">
      <DependentUpon>PlayingSongInfo.axaml</DependentUpon>
    </Compile>
    <Compile Update="Views\PlaybackBar.axaml.cs">
      <DependentUpon>PlaybackBar.axaml</DependentUpon>
    </Compile>
  </ItemGroup>
</Project>
